# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/), and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [2.4.0] - 2023-10-26

### Added

- Tip component

### Changed

- Added settings for tips, tax and VAT rates.
- Added fields for tips, tax and VAT to `order.model`
- Added a display of taxes to orders
- Added a tip display to receipts

## [2.3.1] - 2023-06-26

### Fixed

- Broken wallet link for invoices

## [2.3.0] - 2023-06-26

### Changed

- Modified order to handle new `token` field.
- Modified order service to query API using `token`.
- Modified receipt component to use the new `token`.
- Modified invoice component to use the new `token`.
- Modified payment service component to remove order-creation logic.

### Fixed

- Receipt prompt textarea is now read-only.
- Invoice prompt textarea is now read-only.
- Button text color is now correct for Invoice and Receipt.

## [2.2.0] - 2023-05-15

### Added

- New API calls for requesting language data for login page

### Changed

- Owner model modified to remove unnecessary fields
- Fullnode service uses `session` for API calls.
- User service uses `session` for API calls.
- Auth-guard service uses new `checkUser` function to confirm session exists and is validated.

### Fixed

- Business sign-up stepper skipping is corrected

## [2.1.0] - 2023-05-02

### Added

- New dialog to purchase sessions ahead of expiration.

## [2.0.0] - 2023-03-16

### Added

- Added the Xero invoice number in the memo for invoice payments.

### Changed

- Various look and feel changes to support the latest version of Angular.

### Fixed

- Correct display of translated phrases in various components.

## [2.0.0-beta] - 2023-02-23

### Added

- Service to request language tokens from server

### Changed

- Parametrization of text elements

## [1.4.1] - 2023-01-09

### Added

- Display app version

### Changed

- Copyright year

### Fixed

- Remove unnecessary logging in `fullnode.service.ts`.

## [1.4.0] - 2023-01-09

### Added

- Support for WooComerce:
  - New tab in Settings to generate authentication token.
  - Display of WooCommerce credentials for configuration.
- New service to interact with WooCommerce-related API endpoints.
- A "Return To Shop" button added to ZGo Invoice component

## [1.3.2] - 2022-10-11

### Added

- New component added to export orders in CSV format. Allows users to download orders. 

## [1.3.1] - 2022-10-08

### Fixed

- Bug [#7](https://gitlab.com/pitmutt/zgo/-/issues/7) for saving a viewing key.

## [1.3.0] - 2022-10-01

### Added

- Added new connection for Xero account code
- Added new service for Xero integration

### Changed

- Login updated to price sessions in USD and include the Pro service.
- Settings component updated for compatibility with Android devices
- Settings component updated to use observable when saving Account Code
- xeroService's saveAccountCode function optimized to export observable 
- Field for Xero's AccountCode added to Settings component's integration tab
- Listorders component updated to show date in ANSI international format.
- Settings component updated to use owner's invoices field to control 
  integrations tab (Pro version)
- Orders list updated to show payment confirmation only when service is
  activated and a viewing key exists.
- Updated Order and Owner model to include new Xero integration fields

## [1.2.2] - 2022-08-05

### Added

- Convenience buttons on checkout for wallets that are not ZIP-321-compliant
- PmtService Component first alpha version ready for testing
- Add `crmToken` field to `owner.model.ts`
- Add `externalInvoice` field and `shortCode` field to `order.model.ts`

### Fixed

- Memo for checkout orders


## [1.2.1] - 2022-08-01

### Changed

- Improved formatting of dialogs

## [1.2.0] - 2022-07-27

### Added

- Dialogs created for viewing invoices and receipts URLs
- Notifier service created - replaces snackbar used for reporting invalid viewing key.
- Notifier component created - used to apply custom style to message sent by Notifier service.
- Notification to user when the submitted viewing key is not valid


### Changed

- Item dialog look and feel reviewed and updated
- Order list look and feel reviewed and updated
- Available Items list look and feel reviewed and updated
- Set configuration global parameters in one place
- Receipt look and feel reviewed and updated
- Invoice look and feel reviewed and updated
- Checkout dialog with QR code reviewed and updated
- Invoice dialog completed. Notifications to inform successful/failed URL-copy-to-clipboard added. 
- Obsolete function `updateOwner` removed
- Buttons in main shop page have been enclosed to display inside a fixed area.
- Shop page buttons redesigned
- Settings form redesigned
- Order list look and feel reviewed and updated - some unused CSS classes removed.
- Added viewing key field to owner model
- Paid status icons added to order's title
- Order detail redesigned 

### Fixed

- Fixed order memo for checkout
- Fixed display of amounts in item list when using *zatoshis*
- Fixed sorting of items in list
- Fixed sorting of orders in list

## [1.1.2] - 2022-05-24

### Added

- Button in QR code prompt to copy ZGo address.
- Button in QR code prompt to copy transaction amount.
- Button in QR code prompt to copy transaction memo.

## [1.1.1] - 2022-05-24

### Added

- Invoice display via URL
- Invoice button for closing order
- Field `paid` for Order type

## [1.1.0] - 2022-05-20

### Changed

- Services interacting with backend API were modified to support the new [ZGo Backend](https://gitlabl.com/pitmutt/zgo-backend).

### Removed

- NodeJS back-end


